[Share Experiences] 从源码编译安装GnuCash-4.8
Experiences and Insight1091 views ·4 replies
Tofloor
acccccccb
deepin
2021-11-21 15:36
Author

Deepin的软件仓库里,Gnucash的版本还是3.8,不支持远程数据库,查看文档得知想安装4.x版本得自己编译,这里写下我的安装过程。

官方文档:https://wiki.gnucash.org/wiki/Install_Build_Tools

仓库:https://github.com/Gnucash/gnucash

目录说明:

  1. 源码目录 ~/project/gncash
  2. 安装目录 /opt/gnucash

一、clone 代码到 ~/project/gnucash

cd ~/project && git clone git@github.com:Gnucash/gnucash.git

checkout 4.8

截至发文时的最新版本号是4.8,要安装其它版本,检出其它tag即可。

二、编译

1. 安装编译所需要的库

sudo apt-get install build-essential make cmake ninja-build autoconf automake libtool m4

如果是ubuntu 20.04 LTS,还需要执行

apt-get install libboost-program-options1.71-dev

2. 在/opt下新建gnucash文件夹

sudo cd /opt && mkdir gnucash && cd /opt/gnucash

3. 执行cmake命令

使用Cmake 和 Make构建

sudo cmake -DCMADE_INSTALLPREFIX=/opt/gnucash ~/project/gnucash

或者使用Cmake 和 Ninja构建

sudo cmake -GNinja -DCMADE_INSTALLPREFIX=/opt/gnucash ~/project/gnucash

这里可能会出现各种报错导致无法继续,包括但不限于以下几条,一般都是少了什么包没有安装,按照错误提示安装就行

No package 'libxslt' found

No package 'webkit2gtk-4.0' found

No package 'gwenhywfar' found

Neither guile 3.0, guile 2.2, nor guile 2.0 were found GnuCash can't run
without one of them. Ensure that one is installed and can be found with
pkg-config.

如果实在嫌麻烦 ubuntu可直接安装 perl & build-essential,其它发行版没测试过不知道

sudo apt-get install perl build-essential

输入命令后一路回车,等安装完毕后继续执行上一步的构建命令

如果还有报错,根据报错信息选择以下包安装

sudo apt-get install libxslt1-dev libwebkit2gtk-4.0-dev gettext swig guile-2.2-dev libgwengui-gtk3-dev libaqbanking-dev libofx-dev xsltproc libgtest-dev google-mock libmock-dev libsecret-1-dev libdbi1 libdbi-dev libboost-all-dev libdbd-mysql valgrind

构建成功后执行:

sudo make && sudo make install

或者

sudo ninja && sudo ninja install

三、运行

安装完成后,即可运行gnucash

/opt/gnucash/bin/gnucash

可用alias命令创建别名:

alias gnucash="/opt/gnucash/bin/gnucash"

或者添加环境变量:

sudo vim /home//.profile

加入以下任意一行

PATH = $PATH : $HOME /opt/gnucash/bin # 您的主目录将在系统目录之后搜索

或者

PATH = $HOME /opt/gnucash/bin: $PATH # 这将在系统目录之前搜索您的主目录

四、创建桌面快捷方式

在桌面新建 GnuCash-4.8.desktop 并用文本编辑器写入以下内容

[Desktop Entry] 
Categories=finance; 
Comment[zh_CN]= 
Comment= 
Exec=/opt/gnucash/bin/gnucash
Icon=/opt/gnucash/share/gnucash/pixmaps/gnucash-icon.ico
MimeType= 
Name[zh_CN]=GnuCash-4.8 
Name=GnuCash-4.8 
Path= 
StartupNotify=true 
Terminal=false 
Type=Application 

五、注意事项

每次重新编译前 最好先清空安装目录,因为我编译通过后运行总是提示缺少库,最后清空安装目录重新编译一遍才通过。

参考资料:

https://wiki.gnucash.org/wiki/Building_On_Linux

ReplyFavoriteView the author
All Replies
deepin-mq
Administrator
2021-11-22 01:25
#1

感谢分享

ReplyView the author
Fredoong
deepin
2021-11-24 02:16
#2

分享文章是好事,但我不明白楼主你的文章里为什么一会儿apt,一会儿apt-get。 此事令我费解。

ReplyView the author
acccccccb
deepin
2021-11-24 06:07
#3
Fredoong

分享文章是好事,但我不明白楼主你的文章里为什么一会儿apt,一会儿apt-get。 此事令我费解。

失误了 不过两个命令都行

ReplyView the author
lcw0268
deepin
2021-11-27 18:41
#4
acccccccb

失误了 不过两个命令都行

也不算失误,apt=apt-get.

ReplyView the author
Use Markdown Editor
Loading